<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__capsense__common__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_capsense_common_config_t</compoundname>
    <includes local="no">cy_capsense_structure.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__capsense__common__config__t_1a53051c09692058cebfe2d5a4faa935c8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_capsense_common_config_t::cpuClkHz</definition>
        <argsstring />
        <name>cpuClkHz</name>
        <briefdescription>
<para>CPU clock in Hz. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="477" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="477" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a885d6f703d5687e6585b929f61265f9c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_capsense_common_config_t::periClkHz</definition>
        <argsstring />
        <name>periClkHz</name>
        <briefdescription>
<para>Peripheral clock in Hz. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="478" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="478" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a04857de80018693091a81dce3b19bd66" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_common_config_t::vdda</definition>
        <argsstring />
        <name>vdda</name>
        <briefdescription>
<para>VDDA in mV. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="479" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="479" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1af1b66d5becece2209af864547ac16c65" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_common_config_t::numPin</definition>
        <argsstring />
        <name>numPin</name>
        <briefdescription>
<para>Total number of IOs. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="480" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="480" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a21d3bc1dab9651fed220ebdfead85453" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_common_config_t::numSns</definition>
        <argsstring />
        <name>numSns</name>
        <briefdescription>
<para>The total number of sensors. </para>        </briefdescription>
        <detaileddescription>
<para>It is equal to the number of objects with raw count.<itemizedlist>
<listitem><para>For CSD widgets: WD_NUM_ROWS + WD_NUM_COLS</para></listitem><listitem><para>For CSX widgets: WD_NUM_ROWS * WD_NUM_COLS </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="481" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="481" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a4b2745560f410d1a0dc70797aeec3fab" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::numWd</definition>
        <argsstring />
        <name>numWd</name>
        <briefdescription>
<para>Total number of widgets. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="484" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="484" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a7fddda182e82215e18769618b498357c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csdEn</definition>
        <argsstring />
        <name>csdEn</name>
        <briefdescription>
<para>CSD sensing method enabled, at least one CSD widget is configured. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="486" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="486" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a816a9d211280fa1541cb9d79e790926d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csxEn</definition>
        <argsstring />
        <name>csxEn</name>
        <briefdescription>
<para>CSX sensing method enabled, at least one CSX widget is configured. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="487" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="487" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a4c99796a489c0221243e079cc01ae1d3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::mfsEn</definition>
        <argsstring />
        <name>mfsEn</name>
        <briefdescription>
<para>Multi-frequency Scan (MFS) enabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="488" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="488" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a0ff07b677d89662e56814ba7ef8d550f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::positionFilterEn</definition>
        <argsstring />
        <name>positionFilterEn</name>
        <briefdescription>
<para>Position filtering enabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="489" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="489" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a945e057e66cff3bcae327e897f3ef1a8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::bistEn</definition>
        <argsstring />
        <name>bistEn</name>
        <briefdescription>
<para>Built-in Self-test (BIST) enabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="490" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="490" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1ab1171e77b08743ec9cb1a0751f3a8a24" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::periDividerType</definition>
        <argsstring />
        <name>periDividerType</name>
        <briefdescription>
<para>Peripheral clock type (8- or 16-bit type) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="492" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="492" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1af4c7933702ebe6de8d7a51ead347f8dc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::periDividerIndex</definition>
        <argsstring />
        <name>periDividerIndex</name>
        <briefdescription>
<para>Peripheral divider index. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="493" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="493" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a625ca1e473af912530d0da3225e0ca40" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::analogWakeupDelay</definition>
        <argsstring />
        <name>analogWakeupDelay</name>
        <briefdescription>
<para>Time needed to establish correct operation of the CSD HW block after power up or System Deep Sleep. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="494" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="494" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a0c80e26b5fe28518248152c5c9c6681a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::ssIrefSource</definition>
        <argsstring />
        <name>ssIrefSource</name>
        <briefdescription>
<para>Iref source. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="496" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="496" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a9d4938569f715d511d5a92c65337903a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::ssVrefSource</definition>
        <argsstring />
        <name>ssVrefSource</name>
        <briefdescription>
<para>Vref source. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="497" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="497" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1af700535efc4ea5d745cad94153d1d9a6" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_common_config_t::proxTouchCoeff</definition>
        <argsstring />
        <name>proxTouchCoeff</name>
        <briefdescription>
<para>Proximity touch coefficient in percentage used in SmartSense. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="499" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="499" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a16001bf367c6118143ff1ec3511646fb" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::swSensorAutoResetEn</definition>
        <argsstring />
        <name>swSensorAutoResetEn</name>
        <briefdescription>
<para>Sensor auto reset enabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="500" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="500" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a4176f5f4c3a0674e8db380c1cd53b077" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::portCmodPadNum</definition>
        <argsstring />
        <name>portCmodPadNum</name>
        <briefdescription>
<para>Number of port of dedicated Cmod pad. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="502" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="502" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a5115d84073d7d01cb4885798dcd8e0eb" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::pinCmodPad</definition>
        <argsstring />
        <name>pinCmodPad</name>
        <briefdescription>
<para>Position of the dedicated Cmod pad in the port. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="503" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="503" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a6f12b37bfb79c92ac49be9d9a10e1c85" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::portCshPadNum</definition>
        <argsstring />
        <name>portCshPadNum</name>
        <briefdescription>
<para>Number of port of dedicated Csh pad. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="504" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="504" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1affacfb2ff9e57a616462f673603d2da9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::pinCshPad</definition>
        <argsstring />
        <name>pinCshPad</name>
        <briefdescription>
<para>Position of the dedicated Csh pad in the port. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="505" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="505" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a0757058df63bf046d385f86f141235f2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::portShieldPadNum</definition>
        <argsstring />
        <name>portShieldPadNum</name>
        <briefdescription>
<para>Number of port of dedicated Shield pad. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="506" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="506" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a408b1a89c4eb3f5aec4a24ba2d9942d2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::pinShieldPad</definition>
        <argsstring />
        <name>pinShieldPad</name>
        <briefdescription>
<para>Position of the dedicated Shield pad in the port. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="507" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="507" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1acd41888daad97f1aa24dfbca213431a6" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::portVrefExtPadNum</definition>
        <argsstring />
        <name>portVrefExtPadNum</name>
        <briefdescription>
<para>Number of port of dedicated VrefExt pad. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="508" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="508" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1aff2a6b86b567e1b1c7328dae74aa4c0d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::pinVrefExtPad</definition>
        <argsstring />
        <name>pinVrefExtPad</name>
        <briefdescription>
<para>Position of the dedicated VrefExt pad in the port. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="509" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="509" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1ae11a796b0265b7de228505259d4b8a98" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::portCmodNum</definition>
        <argsstring />
        <name>portCmodNum</name>
        <briefdescription>
<para>Number of port of Cmod pin. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="510" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="510" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1aa420b265a50ab175b9a0902bcc3a0b08" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__idac__gain__table__t">cy_stc_capsense_idac_gain_table_t</ref></type>
        <definition>cy_stc_capsense_idac_gain_table_t cy_stc_capsense_common_config_t::idacGainTable[CY_CAPSENSE_IDAC_GAIN_NUMBER]</definition>
        <argsstring>[CY_CAPSENSE_IDAC_GAIN_NUMBER]</argsstring>
        <name>idacGainTable</name>
        <briefdescription>
<para>Table with the supported IDAC gains and corresponding register values. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="512" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="512" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a314b8ab78e6a189daeb4d150d3f51512" kind="variable" mutable="no" prot="public" static="no">
        <type>CSD_Type *</type>
        <definition>CSD_Type* cy_stc_capsense_common_config_t::ptrCsdBase</definition>
        <argsstring />
        <name>ptrCsdBase</name>
        <briefdescription>
<para>Pointer to the CSD HW block register. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="516" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="516" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a633cc2ca6a5528f5a82074e889287b1c" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_csd_context_t *</type>
        <definition>cy_stc_csd_context_t* cy_stc_capsense_common_config_t::ptrCsdContext</definition>
        <argsstring />
        <name>ptrCsdContext</name>
        <briefdescription>
<para>Pointer to the CSD driver context. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="517" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="517" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1ab76476aba113baea0f471f559a36a99c" kind="variable" mutable="no" prot="public" static="no">
        <type>GPIO_PRT_Type *</type>
        <definition>GPIO_PRT_Type* cy_stc_capsense_common_config_t::portCmod</definition>
        <argsstring />
        <name>portCmod</name>
        <briefdescription>
<para>Pointer to the base port register of the Cmod pin. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="519" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="519" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1ab8b3fc9607ea9d6a5902e69f6fa555eb" kind="variable" mutable="no" prot="public" static="no">
        <type>GPIO_PRT_Type *</type>
        <definition>GPIO_PRT_Type* cy_stc_capsense_common_config_t::portCsh</definition>
        <argsstring />
        <name>portCsh</name>
        <briefdescription>
<para>Pointer to the base port register of the Csh pin. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="521" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="521" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a325bae184f92fdb4eface75f45491a0a" kind="variable" mutable="no" prot="public" static="no">
        <type>GPIO_PRT_Type *</type>
        <definition>GPIO_PRT_Type* cy_stc_capsense_common_config_t::portCintA</definition>
        <argsstring />
        <name>portCintA</name>
        <briefdescription>
<para>Pointer to the base port register of the CintA pin. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="523" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="523" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1ae8e8c568ea38fc8fde93b2dadc5e83f9" kind="variable" mutable="no" prot="public" static="no">
        <type>GPIO_PRT_Type *</type>
        <definition>GPIO_PRT_Type* cy_stc_capsense_common_config_t::portCintB</definition>
        <argsstring />
        <name>portCintB</name>
        <briefdescription>
<para>Pointer to the base port register of the CintB pin. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="524" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="524" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a552e76fb483b1aef4e079c6a08343622" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::pinCmod</definition>
        <argsstring />
        <name>pinCmod</name>
        <briefdescription>
<para>Position of the Cmod pin in the port. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="526" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="526" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a72dcc792179198a2c8a7a92b38c5af15" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::portCshNum</definition>
        <argsstring />
        <name>portCshNum</name>
        <briefdescription>
<para>Number of port of Csh pin. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="528" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="528" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a1894d1621d3d0b85dcecb541580086b2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::pinCsh</definition>
        <argsstring />
        <name>pinCsh</name>
        <briefdescription>
<para>Position of the Csh pin in the port. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="529" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="529" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a511bdf3dac96f6d21a99570a0d631a18" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::pinCintA</definition>
        <argsstring />
        <name>pinCintA</name>
        <briefdescription>
<para>Position of the CintA pin in the port. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="531" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="531" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1ae19eb70caeeb497808e72757c4dc4d97" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::pinCintB</definition>
        <argsstring />
        <name>pinCintB</name>
        <briefdescription>
<para>Position of the CintB pin in the port. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="532" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="532" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1ad8fa7f6bb76ee337e4c8650a105e30f4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csdShieldEn</definition>
        <argsstring />
        <name>csdShieldEn</name>
        <briefdescription>
<para>Shield enabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="535" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="535" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1abe52b6e2f195fc5f638808538c0c0df5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csdInactiveSnsConnection</definition>
        <argsstring />
        <name>csdInactiveSnsConnection</name>
        <briefdescription>
<para>Inactive sensor connection state: </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>CY_CAPSENSE_SNS_CONNECTION_HIGHZ</para></listitem><listitem><para>CY_CAPSENSE_SNS_CONNECTION_SHIELD</para></listitem><listitem><para>CY_CAPSENSE_SNS_CONNECTION_GROUND </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="537" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="537" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1ae4bc5430219c2d2613941168464acc96" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csdShieldDelay</definition>
        <argsstring />
        <name>csdShieldDelay</name>
        <briefdescription>
<para>Shield signal delay. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="542" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="542" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1ab982977927531f92c5ac748fa316c06f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_common_config_t::csdVref</definition>
        <argsstring />
        <name>csdVref</name>
        <briefdescription>
<para>Vref for CSD method. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="544" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="544" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a3023ed9a75800748f3af86571b42a5b0" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_common_config_t::csdRConst</definition>
        <argsstring />
        <name>csdRConst</name>
        <briefdescription>
<para>Sensor resistance in series used by SmartSense. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="545" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="545" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a74c2e88f6c338ad404e26b6e11e5bbc7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csdCTankShieldEn</definition>
        <argsstring />
        <name>csdCTankShieldEn</name>
        <briefdescription>
<para>Csh enabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="547" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="547" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1add23287dd34a8fdbf49d4e4bfaf9600a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csdShieldNumPin</definition>
        <argsstring />
        <name>csdShieldNumPin</name>
        <briefdescription>
<para>Number of shield IOs. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="549" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="549" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a9d116265ff9d889b1b76fa80ff292e32" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csdShieldSwRes</definition>
        <argsstring />
        <name>csdShieldSwRes</name>
        <briefdescription>
<para>Shield switch resistance. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="551" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="551" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1adc75f58a3536e80f4aeddbd1b749ff7b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csdInitSwRes</definition>
        <argsstring />
        <name>csdInitSwRes</name>
        <briefdescription>
<para>Switch resistance at coarse initialization. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="553" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="553" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a5e64ba40e4bc04161f1cfff08365b55b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csdChargeTransfer</definition>
        <argsstring />
        <name>csdChargeTransfer</name>
        <briefdescription>
<para>IDAC sensing configuration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="554" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="554" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1ab21e95353a8fa1abae498d2a110db030" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csdRawTarget</definition>
        <argsstring />
        <name>csdRawTarget</name>
        <briefdescription>
<para>Raw count target in percentage for CSD calibration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="555" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="555" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a46dabab191776af278a263e931f0c77b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csdAutotuneEn</definition>
        <argsstring />
        <name>csdAutotuneEn</name>
        <briefdescription>
<para>SmartSense enabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="556" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="556" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a2ba2ca9a903e0f7414351629b25f0e92" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csdIdacAutocalEn</definition>
        <argsstring />
        <name>csdIdacAutocalEn</name>
        <briefdescription>
<para>CSD IDAC calibration enabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="557" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="557" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a50f450472fd4ff69bbfcc992cd1e0a03" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csdIdacGainInitIndex</definition>
        <argsstring />
        <name>csdIdacGainInitIndex</name>
        <briefdescription>
<para>IDAC gain index per <ref kindref="member" refid="structcy__stc__capsense__common__config__t_1aa420b265a50ab175b9a0902bcc3a0b08">idacGainTable</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="558" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="558" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a5302a149824787161c2695232b32c9fa" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csdIdacAutoGainEn</definition>
        <argsstring />
        <name>csdIdacAutoGainEn</name>
        <briefdescription>
<para>IDAC gain auto-calibration enabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="559" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="559" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a83913223b272b76642a87af8b4e78153" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csdCalibrationError</definition>
        <argsstring />
        <name>csdCalibrationError</name>
        <briefdescription>
<para>Acceptable calibration error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="560" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="560" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a4fbf20312d5350474cd3b1c6c90c1ce8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csdIdacMin</definition>
        <argsstring />
        <name>csdIdacMin</name>
        <briefdescription>
<para>Min acceptable IDAC value in CSD calibration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="561" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="561" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a437d937b2f790a23c4009af497bd3e35" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csdIdacCompEn</definition>
        <argsstring />
        <name>csdIdacCompEn</name>
        <briefdescription>
<para>Compensation IDAC enabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="562" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="562" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a937ca9a7b6a86c4eb8969b4ea1b9fa8f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csdFineInitTime</definition>
        <argsstring />
        <name>csdFineInitTime</name>
        <briefdescription>
<para>Number of dummy SnsClk periods at fine initialization. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="563" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="563" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a3abde8bd7d00d217b698b202dcd2bb34" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csdIdacRowColAlignEn</definition>
        <argsstring />
        <name>csdIdacRowColAlignEn</name>
        <briefdescription>
<para>Row-Column alignment enabled. </para>        </briefdescription>
        <detaileddescription>
<para>It adjusts modulator IDAC for rows and for columns to achieve the similar sensitivity </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="564" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="564" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a2086ec7840bcff2a38a1f4dbc96297ee" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csdMfsDividerOffsetF1</definition>
        <argsstring />
        <name>csdMfsDividerOffsetF1</name>
        <briefdescription>
<para>Frequency divider offset for channel 1. </para>        </briefdescription>
        <detaileddescription>
<para>This value is added to base (channel 0) SnsClk divider to form channel 1 frequency </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="566" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="566" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1ae84b54901b2a622357902f34444502ca" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csdMfsDividerOffsetF2</definition>
        <argsstring />
        <name>csdMfsDividerOffsetF2</name>
        <briefdescription>
<para>Frequency divider offset for channel 2. </para>        </briefdescription>
        <detaileddescription>
<para>This value is added to base (channel 0) SnsClk divider to form channel 2 frequency </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="568" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="568" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1aa5656822ae92239213960e8c8e8e5d8e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csxRawTarget</definition>
        <argsstring />
        <name>csxRawTarget</name>
        <briefdescription>
<para>Raw count target in percentage for CSX calibration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="570" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="570" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a0cd8747f6c21cb813ecd18edf9d54229" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csxIdacGainInitIndex</definition>
        <argsstring />
        <name>csxIdacGainInitIndex</name>
        <briefdescription>
<para>IDAC gain for CSX method. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="571" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="571" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1ac5354e52ee64d8d1afac351a9d8a0428" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csxRefGain</definition>
        <argsstring />
        <name>csxRefGain</name>
        <briefdescription>
<para>Refgen gain for CSX method. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="572" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="572" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a0bb810d87bef97c73582aeb5e44f86cc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csxIdacAutocalEn</definition>
        <argsstring />
        <name>csxIdacAutocalEn</name>
        <briefdescription>
<para>CSX IDAC calibration enabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="573" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="573" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a0be983572fd16014ccef16c90b3521e7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csxCalibrationError</definition>
        <argsstring />
        <name>csxCalibrationError</name>
        <briefdescription>
<para>Acceptable calibration error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="574" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="574" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a5fc5e888dc56992a0c194b4c425a8a5d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csxFineInitTime</definition>
        <argsstring />
        <name>csxFineInitTime</name>
        <briefdescription>
<para>Number of dummy TX periods at fine initialization. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="575" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="575" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1aaa99b5e4cc5ed3211dc14941064a082a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csxInitSwRes</definition>
        <argsstring />
        <name>csxInitSwRes</name>
        <briefdescription>
<para>Switch resistance at fine initialization. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="576" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="576" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a01c2adce03bd2616b2d1c7acd13a158d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csxScanSwRes</definition>
        <argsstring />
        <name>csxScanSwRes</name>
        <briefdescription>
<para>Switch resistance at scanning. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="577" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="577" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1afde18fd9f1dfb9d859cd24ec0814a57c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csxInitShieldSwRes</definition>
        <argsstring />
        <name>csxInitShieldSwRes</name>
        <briefdescription>
<para>Switch resistance at fine initialization. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="578" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="578" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1aa6917c3c8a71cb3c44e47cbe32742de5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csxScanShieldSwRes</definition>
        <argsstring />
        <name>csxScanShieldSwRes</name>
        <briefdescription>
<para>Switch resistance at scanning. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="579" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="579" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a07e6050b71ba83dd4a5baf3e1380956f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csxMfsDividerOffsetF1</definition>
        <argsstring />
        <name>csxMfsDividerOffsetF1</name>
        <briefdescription>
<para>Frequency divider offset for channel 1. </para>        </briefdescription>
        <detaileddescription>
<para>This value is added to base (channel 0) Tx divider to form channel 1 frequency </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="580" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="580" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__config__t_1a9b7eca3dd5ff0f135ce8785fa3fd4f2f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_config_t::csxMfsDividerOffsetF2</definition>
        <argsstring />
        <name>csxMfsDividerOffsetF2</name>
        <briefdescription>
<para>Frequency divider offset for channel 2. </para>        </briefdescription>
        <detaileddescription>
<para>This value is added to base (channel 0) Tx divider to form channel 2 frequency </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="582" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="582" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Common configuration structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="52">
        <label>cy_stc_capsense_common_config_t</label>
        <link refid="structcy__stc__capsense__common__config__t" />
        <childnode refid="53" relation="usage">
          <edgelabel>idacGainTable</edgelabel>
        </childnode>
      </node>
      <node id="53">
        <label>cy_stc_capsense_idac_gain_table_t</label>
        <link refid="structcy__stc__capsense__idac__gain__table__t" />
      </node>
    </collaborationgraph>
    <location bodyend="636" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="475" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="476" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a625ca1e473af912530d0da3225e0ca40" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>analogWakeupDelay</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a945e057e66cff3bcae327e897f3ef1a8" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>bistEn</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a53051c09692058cebfe2d5a4faa935c8" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>cpuClkHz</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a46dabab191776af278a263e931f0c77b" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csdAutotuneEn</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a83913223b272b76642a87af8b4e78153" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csdCalibrationError</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a5e64ba40e4bc04161f1cfff08365b55b" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csdChargeTransfer</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a74c2e88f6c338ad404e26b6e11e5bbc7" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csdCTankShieldEn</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a7fddda182e82215e18769618b498357c" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csdEn</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a937ca9a7b6a86c4eb8969b4ea1b9fa8f" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csdFineInitTime</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a2ba2ca9a903e0f7414351629b25f0e92" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csdIdacAutocalEn</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a5302a149824787161c2695232b32c9fa" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csdIdacAutoGainEn</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a437d937b2f790a23c4009af497bd3e35" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csdIdacCompEn</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a50f450472fd4ff69bbfcc992cd1e0a03" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csdIdacGainInitIndex</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a4fbf20312d5350474cd3b1c6c90c1ce8" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csdIdacMin</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a3abde8bd7d00d217b698b202dcd2bb34" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csdIdacRowColAlignEn</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1abe52b6e2f195fc5f638808538c0c0df5" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csdInactiveSnsConnection</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1adc75f58a3536e80f4aeddbd1b749ff7b" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csdInitSwRes</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a2086ec7840bcff2a38a1f4dbc96297ee" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csdMfsDividerOffsetF1</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1ae84b54901b2a622357902f34444502ca" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csdMfsDividerOffsetF2</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1ab21e95353a8fa1abae498d2a110db030" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csdRawTarget</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a3023ed9a75800748f3af86571b42a5b0" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csdRConst</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1ae4bc5430219c2d2613941168464acc96" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csdShieldDelay</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1ad8fa7f6bb76ee337e4c8650a105e30f4" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csdShieldEn</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1add23287dd34a8fdbf49d4e4bfaf9600a" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csdShieldNumPin</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a9d116265ff9d889b1b76fa80ff292e32" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csdShieldSwRes</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1ab982977927531f92c5ac748fa316c06f" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csdVref</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a0be983572fd16014ccef16c90b3521e7" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csxCalibrationError</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a816a9d211280fa1541cb9d79e790926d" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csxEn</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a5fc5e888dc56992a0c194b4c425a8a5d" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csxFineInitTime</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a0bb810d87bef97c73582aeb5e44f86cc" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csxIdacAutocalEn</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a0cd8747f6c21cb813ecd18edf9d54229" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csxIdacGainInitIndex</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1afde18fd9f1dfb9d859cd24ec0814a57c" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csxInitShieldSwRes</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1aaa99b5e4cc5ed3211dc14941064a082a" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csxInitSwRes</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a07e6050b71ba83dd4a5baf3e1380956f" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csxMfsDividerOffsetF1</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a9b7eca3dd5ff0f135ce8785fa3fd4f2f" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csxMfsDividerOffsetF2</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1aa5656822ae92239213960e8c8e8e5d8e" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csxRawTarget</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1ac5354e52ee64d8d1afac351a9d8a0428" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csxRefGain</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1aa6917c3c8a71cb3c44e47cbe32742de5" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csxScanShieldSwRes</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a01c2adce03bd2616b2d1c7acd13a158d" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>csxScanSwRes</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1aa420b265a50ab175b9a0902bcc3a0b08" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>idacGainTable</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a4c99796a489c0221243e079cc01ae1d3" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>mfsEn</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1af1b66d5becece2209af864547ac16c65" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>numPin</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a21d3bc1dab9651fed220ebdfead85453" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>numSns</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a4b2745560f410d1a0dc70797aeec3fab" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>numWd</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a885d6f703d5687e6585b929f61265f9c" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>periClkHz</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1af4c7933702ebe6de8d7a51ead347f8dc" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>periDividerIndex</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1ab1171e77b08743ec9cb1a0751f3a8a24" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>periDividerType</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a511bdf3dac96f6d21a99570a0d631a18" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>pinCintA</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1ae19eb70caeeb497808e72757c4dc4d97" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>pinCintB</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a552e76fb483b1aef4e079c6a08343622" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>pinCmod</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a5115d84073d7d01cb4885798dcd8e0eb" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>pinCmodPad</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a1894d1621d3d0b85dcecb541580086b2" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>pinCsh</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1affacfb2ff9e57a616462f673603d2da9" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>pinCshPad</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a408b1a89c4eb3f5aec4a24ba2d9942d2" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>pinShieldPad</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1aff2a6b86b567e1b1c7328dae74aa4c0d" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>pinVrefExtPad</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a325bae184f92fdb4eface75f45491a0a" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>portCintA</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1ae8e8c568ea38fc8fde93b2dadc5e83f9" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>portCintB</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1ab76476aba113baea0f471f559a36a99c" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>portCmod</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1ae11a796b0265b7de228505259d4b8a98" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>portCmodNum</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a4176f5f4c3a0674e8db380c1cd53b077" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>portCmodPadNum</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1ab8b3fc9607ea9d6a5902e69f6fa555eb" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>portCsh</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a72dcc792179198a2c8a7a92b38c5af15" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>portCshNum</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a6f12b37bfb79c92ac49be9d9a10e1c85" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>portCshPadNum</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a0757058df63bf046d385f86f141235f2" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>portShieldPadNum</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1acd41888daad97f1aa24dfbca213431a6" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>portVrefExtPadNum</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a0ff07b677d89662e56814ba7ef8d550f" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>positionFilterEn</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1af700535efc4ea5d745cad94153d1d9a6" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>proxTouchCoeff</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a314b8ab78e6a189daeb4d150d3f51512" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>ptrCsdBase</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a633cc2ca6a5528f5a82074e889287b1c" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>ptrCsdContext</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a0c80e26b5fe28518248152c5c9c6681a" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>ssIrefSource</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a9d4938569f715d511d5a92c65337903a" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>ssVrefSource</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a16001bf367c6118143ff1ec3511646fb" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>swSensorAutoResetEn</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__config__t_1a04857de80018693091a81dce3b19bd66" virt="non-virtual"><scope>cy_stc_capsense_common_config_t</scope><name>vdda</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>